/*
Theme Name: Coherence Child
Theme URI: http://weshore.com/
Author: Weshore Themes
Author URI: https://weshore.com
Template: coherence
Description: Smart, Powerful and Unlimited Customizable WordPress Theme.
Version: 1.0
License: Private License
License URI: license.txt
Text Domain: coherence-child
Tags: responsive, retina, rtl-language-support, blog, portfolio, custom-colors, live-editor
*/



/*-----------------------------------------***style header***----------------------------------*/


@media only screen and (max-width: 1024px){
header#site-header .coherence-core-dropdown {min-width:300px !important;}
.site-header li.menu-item-has-mega-menu i{right:26px !important;color:#fff !important}
/* .header-menu  ul.coherence-core-nav-menu {height:auto !important;max-height:80vh !important;overflow-y:auto !important;} */
}

.lang-col span {display:none;}
.lang-col .gt_switcher-popup  img{border-radius:50%;height:30px ;width:30px ; object-fit:cover !important}
.lang-col .gt_languages span{display:inline-block !important;color:#000;font-size:17px !important;}

.mega-menu-col {
  max-height: calc(100vh - 40px) !important; 
  overflow-y: auto !important;
  scrollbar-width: thin; 
  scrollbar-color: #ccc transparent;
}

/* Pour Chrome, Edge, Safari */
.mega-menu-col::-webkit-scrollbar {
  width: 6px;
}

.mega-menu-col::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 10px;
}

@media only screen and (min-width: 1601px) and (max-width: 1915px){
  .header-menu  a.coherence-core-menu-item{font-size:17px !important;padding-inline:16px !important;}    
}
@media only screen and (min-width: 1361px) and (max-width: 1600px){
 .header-menu  a.coherence-core-menu-item{font-size:14px !important;padding-inline:14px !important;} 
}

@media only screen and (min-width: 1025px) and (max-width: 1260px){
 .header-menu  a.coherence-core-menu-item{font-size:12px !important;padding-inline:10px !important;} 
 /* .menu-col{align-items:center !important;justify-content:center !important;} */
 .header-menu li:last-child a{padding:12px !important}
 .logo-col img{max-width:55px !important}
 .lang-col{display:none !important}
.coherence-sub-mega-menu{width:800px !important}
}

.header-menu li.current-menu-item a.elementor-button{background:#160E0E !important;color:#fff !important;}
.mega-sup span.elementor-divider-separator {border-color:rgb(0 0 0 / 20%) !important}
@media only screen and (min-width: 1025px){
.header-menu  li.has-sub1 .sub-menu{left:-100px !important;}
.header-menu  li.has-sub1 .sub-menu li.has-sub2 .sub-menu{left:-260px !important}    
}
/*------------------------------------------------------***End***------------------------------------------------------*/


/*------------------------------------------------------***Begin Pages internes Style***------------------------------------------------------*/
.sdl {font-size:0; padding-block:6px !important;display:block !important}
.sdlbm{font-size:0; padding-bottom:6px !important;display:block !important}
.sdltp{font-size:0; padding-top:6px !important; display:block !important;} 
 
.post-grid-acts .post-item-img img{aspect-ratio: 3/2;}
.post-grid-acts .post-item-img {position: relative; overflow: hidden;}
.post-grid-acts .post-item-img:before{content: "";position: absolute;left: 0;top: 0;width: 100%;height: 100%;background-color: var(--e-global-color-color_1);opacity:0;transition: all 0.3s ease-in-out;z-index:1}
.post-grid-acts .post-item-img:hover:before{opacity: 0.3}


.caroussel-acts, .caroussel-acts *:not(.slick-arrow):not(.slick-arrow i) {height: 100% !important;}
.caroussel-acts img{object-fit: cover;}
.caroussel-acts .gallery-icon a{display: block;}
body .caroussel-acts .gallery-columns-3 .gallery-item.slick-slide{max-width: 100% !important;}
/*------------------------------------------------------***End***------------------------------------------------------*/


/*------------------------------------------------------***Begin Home page Style***------------------------------------------------------*/

/**************************************Style : PRE-HOME*********************************/
/* body.page-id-713{overflow-x:hidden !important;} */

/**************************************Style : Animations*********************************/

.img-as {  animation: moverightleft 4s ease-in-out infinite; }

 @keyframes moverightleft  {
    0%,100% {
     translate: 130px 40px;
    }
    50% {
      translate: 90px 40px;
    }
  }

@media only screen and (min-width: 1361px) and (max-width: 1800px){
  .img-as img {max-width:500px !important;}  
  @keyframes moverightleft  {
    0%,100% {
     translate: 140px 40px;
    }
    50% {
      translate: 190px 40px;
    }
  }      
}

.shape-sep .elementor-divider-separator, .shape-sep-2 .elementor-divider-separator{position:relative; }
.shape-sep .elementor-divider-separator::before, .shape-sep-2 .elementor-divider-separator::before{position:absolute !important;content:'' !important;width:10px ;height:10px;background:#fff ;border-radius:50%;top:-5px;}
.shape-sep .elementor-divider-separator::before{left:0 ;animation: moveltr 6s ease-in-out infinite;}
.shape-sep-2 .elementor-divider-separator::before{right:0;animation: movertl 5.7s ease-in-out infinite;}

 @keyframes moveltr {
    0%,100%  {
      left:0;
    }
    50% {
      left:100%; 
    }

  }
 @keyframes movertl {
    0%,100%  {
      right:0;
    }
    50% {
      right:100%; 
    }

  }
/**************************************Style : section_h1*********************************/
.section-title .separator-sup-title::after{display:none !important}

@media only screen and (min-width: 1400px){
.has-max .elementor-coherence-core-content-box-title {max-width:80%;}
}

/**************************************Style : section_prestations*********************************/
h3.prestitle{font-weight:300 !important;font-size:23px !important;color:#000 !important;max-width:95%;}
p.prestdesc{font-family:"Kumbh Sans", sans-serif;font-size:17px !important;font-weight:300;color:#6e6e6e;max-width:98%;}
.prestbtn{text-align:right;width: fit-content;margin-left:auto;}
.prestbtn i{color:#4a4a4a;font-size:15px}
.pres-car .item-content{position:relative;top:-128px;}
.pres-car .item-content section{width:90%;transition:  0.6s ease-in-out !important;}
h3.prestitle span.subtext{font-size:10px !important;}

 h3.prestitle, a.title-link, p.prestdesc, .prestbtn, .pres-car .imgCarContenair, .pres-car .imgCarContenair img {transition: 0.5s ease-in-out !important;}
@media only screen and (min-width: 801px){
 /* h3.prestitle, a.title-link, p.prestdesc, .prestbtn {transition: 0.5s ease-in-out !important;} */
.pres-car .item-body:hover .prestbtn{transform:rotate(-40deg) !important}  
.pres-car .item-body:hover .item-content section{background:#000 !important;width:100%; }
.pres-car .item-body:hover .item-content section .prestation-front p{color:#A3A3A3 !important;}
.pres-car .item-body:hover .item-content section .prestation-front :is(h3, a, i){color:#FFFEFE !important;}
    /* image style */
.pres-car .imgCarContenair{overflow:hidden !important}
.pres-car .imgCarContenair{transform:translateY(12px);}
.pres-car .item-body:hover .imgCarContenair{transform:translateY(0)}
.pres-car .item-body:hover .imgCarContenair img{scale:1.12}
}
@media only screen and (max-width: 800px){
h3.prestitle{font-size:21px !important}
.pres-car .item-content section{width:95%;margin:0 auto !important;}
 a.title-link:hover h3.prestitle {color:#952B76 !important}
.prestbtn i{color:#fff !important;}
.prestbtn {background:#000000;border-radius:50%;padding:4px 7px; color:#fff !important;margin-bottom:10px !important;}
.pres-car .item-body:hover .prestbtn{background:#952B76;transform:rotate(-40deg)}
}
/**************************************Style : section_Actualites*********************************/
 

/**************************************Style : section_Image Grid*********************************/
/* .img-grid-h .gallery-item{height:470px !important} */
.img-grid-h .gallery-caption, .img-grid-h .gallery-icon img ,.img-grid-h .gallery-icon a::after{transition:0.4s ease-in-out;}
.img-subdesc{display:block;font-size:17px !important;font-weight:300 !important;}
.img-grid-h .gallery-icon img{filter:brightness(80%);}
.img-grid-h  .gallery-item:hover img{scale:1.15;}
.img-grid-h .gallery-icon{overflow:hidden !important;}

.img-grid-h .gallery-item{position:relative;}
.img-grid-h .gallery-caption{position:absolute;bottom:50px;left:30px;}
.img-grid-h  .gallery-item:hover .gallery-caption{left:40px;}


.img-grid-h .gallery-icon a {position:relative;display:inline-block;}
.img-grid-h .gallery-icon a::after{position:absolute;content:'';width:100%;height: 100%;inset:0;background:rgba(149, 43, 118, 0);}
.img-grid-h  .gallery-item:hover .gallery-icon a::after{background:rgba(149, 43, 118, 0.6)}

.img-grid-h .gallery-icon a:hover img{opacity:1 !important;}

@media only screen and (max-width: 1500px){
.img-grid-h .gallery-caption{bottom:20px;left:0px;}
.img-grid-h  .gallery-item:hover .gallery-caption{left:10px;}
}
/**************************************Style : section_valeurs*********************************/


/**************************************Style : section_points_forts*********************************/


/**************************************Style : section_form*********************************/
.form-col .contact-btn{display:flex;align-items:flex-start;justify-content:start;flex-direction:column;gap:0 !important}
.form-col .contact-btn .wpcf7-submit{width:150px !important;text-align:start;}
.form-col .arrow-btn {display:block !important;font-size:0px !important;position:relative}
.form-col .arrow-btn::after{position:absolute;top:-39px;left:110px;content:"\2192"; font-size:18px !important;color:#ffffff;width:25px;height:25px}
.form-col .contact-btn{width:auto !important}
.form-col  .wpcf7-acceptance a, .form-col .recaptcha_acc a{color:#fff !important;}
.form-col  .wpcf7-acceptance a:hover,.form-col .recaptcha_acc a:hover{color:#952B76 !important;}


.form-col .wpcf7-select option{color:#000 !important;}
.form-col .wpcf7-form .focused .sp-label{background:none !important;}
.form-col input[type="date"]::-webkit-calendar-picker-indicator {filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7442%) hue-rotate(35deg) brightness(109%) contrast(92%);}

.form-col .img-import {display:flex;align-items:center;justify-content:space-between !important;position:relative}
.form-col .img-import .wpcf7-form-control-wrap{left:150px;}
.form-col .wpcf7-file {color:#fff !important;}
.form-col .img-import::after{position:absolute !important;content:'' !important; width:98%;height:1px; background:#fff;bottom:18px;right:0;}
@media only screen and (max-width: 1024px){
 .form-col .img-item {flex-direction:column !important;}
 .form-col .img-item .col-md-6{width:100%;}
}
@media only screen and (max-width: 400px){
.form-col .wpcf7-file {font-size:14px;}
}
/*--------------------------------------------------------------***End***----------------------------------------------------------------------*/



/*------------------------------------------------------***Begin footer style***------------------------------------------------------*/
.coherence-logo svg{width: 130px !important;height: auto !important;}
.coherence-logo svg * {fill: #fff !important;}
.menu-main-footer .hide-sub-mn .sub-menu , .menu-main-footer .hide-sub-mn .sub-arrow {display: none !important;}

@media only screen and (max-width: 600px){
	.menu-footer ul{display:flex; flex-direction:column;align-items:center !important;justify-content:center !important;}
}

/*------------------------------------------------------***End***------------------------------------------------------*/



/*------------------------------------------------------***Begin Responsive Media query style***------------------------------------------------------*/

/*------------***Large devices (desktops, more than 800px)***------------*/
@media only screen and (min-width: 801px){
    
    /*style header*/

    /*style main content*/

    /*style footer*/
    
}

/*------------***Large devices (desktops, less than 1501px)***------------*/
@media only screen and (max-width: 1500px){

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Large devices (desktops, less than 1361px)***------------*/
@media only screen and (max-width: 1360px){

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Large devices (desktops, less than 1281px)***------------*/
@media only screen and (max-width: 1280px){

    /*style header*/

    /*style main content*/

    /*style footer*/
}


@media only screen and (max-width: 1200px){

    /*style header*/

    /*style main content*/

    /*style footer*/

}


/*------------***Medium devices (tablets, less than 1025px)***------------*/
@media only screen and (max-width: 1024px){

	/*style header*/

    /*style main content*/
	.col-content-acts {order: unset !important;}
    /*style footer*/

}

/*------------***Medium devices (tablets, Bootstrap less than 993px)***------------*/
@media only screen and (max-width: 992px){

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Tablet Media query style***------------*/
@media only screen and (max-width: 800px){
    /*style header*/

    /*style main content*/
	.btn-cl-bg{background-color:#fff !important}
    /*style footer*/

}

/*------------***Tablet Mini Media query style***------------*/
@media only screen and (max-width: 767px){

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Between Big Mobile and Tablet Media query style***------------*/
@media only screen and (min-width: 601px) and (max-width: 800px){

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Begin Big Mobile Media query style***------------*/
@media only screen and (max-width: 600px){

    /*style header*/

    /*style main content*/

    /*style footer*/
    .menu-main-footer .coherence-core-nav-menu a {justify-content: center !important;}

}

/*------------***Between Mobile and Tablet Media query style***------------*/
@media only screen and (min-width: 498px) and (max-width: 600px){

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Mobile Media query style***------------*/
@media only screen and (max-width: 497px){

    /*style header*/

    /*style main content*/

    /*style footer*/
}

/*------------------------------------------------------***End Media query***------------------------------------------------------*/


.coherence-main-line-icon.coherence-icon svg {
	width: 20px !important;
	height: 20px !important; 
}

.pulse {
  animation: pulseAnimation 1.5s infinite;
}

@keyframes pulseAnimation {
  0%, 100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
}

#menu-item-5329 .sub-menu {
    left: 40% !important;
}

#menu-item-1591 .sub-menu {
    left: 40% !important;
}

#menu-item-5336 .sub-menu {
    left: 60%;
}

#menu-item-5335 .sub-menu {
    left: 60%;
}
@media only screen and (max-width: 1500px){
	#menu-item-5336 .sub-menu {
    left: 50% !important;
}
	
	#menu-item-5325 .sub-menu {
    left: 40% !important;
}
	
	#menu-item-5324 .sub-menu {
    left: 50% !important;
}
#menu-item-5336 .sub-menu {
    left: 50%;
}

#menu-item-5335 .sub-menu {
    left: 50%;
}	
	
}

@media only screen and (max-width: 1200px){
    #menu-item-5336 .sub-menu {
        left: -40% !important;
    }
	
	#menu-item-5325 .sub-menu {
    left: 0% !important;
}
	
	#menu-item-5324 .sub-menu {
    left: 0% !important;
}
	
	#menu-item-5329 .sub-menu {
    left: 0% !important;
}

#menu-item-1591 .sub-menu {
    left: 0% !important;
}
}

@media only screen and (max-width: 1100px){
    #menu-item-5336 .sub-menu {
        left: 0% !important;
}
}